Package com.sun.jna

# Class Structure.FFIType.size_t

java.lang.Object
java.lang.Number
com.sun.jna.IntegerType
com.sun.jna.Structure.FFIType.size_t

All Implemented Interfaces:
  `NativeMapped`, `Serializable`

Enclosing class:
  Structure.FFIType

public static class Structure.FFIType.size_t extends IntegerType

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `size_t()`
  `size_t(long value)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.IntegerType

  `compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

  ### Methods inherited from class java.lang.Number

  `byteValue, shortValue`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### size_t

    public size_t()

  - ### size_t

    public size_t(long value)